Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.pm.none
Class NewPersistenceManager

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.pm.none.PersistenceManager
                  org.jboss.mq.pm.none.NewPersistenceManager

All Implemented Interfaces:
  CacheStore, CacheStoreMBean, javax.management.MBeanRegistration, NewPersistenceManager, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PersistenceManager, PersistenceManagerMBean, PersistenceManagerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class NewPersistenceManager
extends PersistenceManager
implements NewPersistenceManager

A persistence manager and cache store that does not persistence. This implements the optimized Topic persistence manager

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock (adrian@jboss.org)

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.mq.pm.PersistenceManagerMBean
`OBJECT_NAME`

Constructor Summary
`NewPersistenceManager()`

Method Summary
`void` | `addMessage(SpyMessage message)` Persist the message
`protected void` | `startService()`

Methods inherited from class org.jboss.mq.pm.none.PersistenceManager
`add, closeQueue, commitPersistentTx, createPersistentTx, getDelegatePM, getInstance, getMessageCache, getMessageCacheInstance, getTxManager, loadFromStorage, remove, removeFromStorage, restoreQueue, rollbackPersistentTx, saveToStorage, setDelegatePM, setMessageCache, update`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.mq.pm.PersistenceManager
`add, closeQueue, commitPersistentTx, createPersistentTx, getMessageCacheInstance, getTxManager, remove, restoreQueue, rollbackPersistentTx, update`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### NewPersistenceManager

    public NewPersistenceManager()

Method Detail

### addMessage

    public void addMessage(SpyMessage message)
                    throws javax.jms.JMSException

  Description copied from interface: `NewPersistenceManager`
  Persist the message

  Specified by:
    `addMessage` in interface `NewPersistenceManager`
  Parameters:
    `message` - the message to persist
  Throws:
    `javax.jms.JMSException` - for any error

### startService

    protected void startService()
                         throws Exception

  Overrides:
    `startService` in class `PersistenceManager`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.